MockResourceResponse (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.mock.web.portlet

## Class MockResourceResponse

- java.lang.Object
- - org.springframework.mock.web.portlet.MockPortletResponse
  - - org.springframework.mock.web.portlet.MockMimeResponse
    - - org.springframework.mock.web.portlet.MockResourceResponse

- All Implemented Interfaces:
    MimeResponse, PortletResponse, ResourceResponse

      public class MockResourceResponse
      extends MockMimeResponse
      implements ResourceResponse

  Mock implementation of the `ResourceResponse` interface.
  Since:
    3.0
  Author:
    Juergen Hoeller

- - ### Field Summary

    - ### Fields inherited from interface javax.portlet.ResourceResponse

      `HTTP_STATUS_CODE`

    - ### Fields inherited from interface javax.portlet.MimeResponse

      `CACHE_SCOPE, ETAG, EXPIRATION_CACHE, MARKUP_HEAD_ELEMENT, NAMESPACED_RESPONSE, PRIVATE_SCOPE, PUBLIC_SCOPE, USE_CACHED_CONTENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockResourceResponse()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContentLength()`
    `void` | `setContentLength(int len)`

    - ### Methods inherited from class org.springframework.mock.web.portlet.MockMimeResponse

      `createActionURL, createRenderURL, createResourceURL, flushBuffer, getBufferSize, getCacheControl, getCharacterEncoding, getContentAsByteArray, getContentAsString, getContentType, getForwardedUrl, getIncludedUrl, getLocale, getPortletOutputStream, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setCommitted, setContentType, setForwardedUrl, setIncludedUrl, setLocale`

    - ### Methods inherited from class org.springframework.mock.web.portlet.MockPortletResponse

      `addProperty, addProperty, addProperty, createElement, encodeURL, getCookie, getCookies, getNamespace, getPortalContext, getProperties, getProperty, getPropertyNames, getXmlProperties, getXmlProperty, getXmlPropertyNames, setNamespace, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.portlet.ResourceResponse

      `createActionURL, createRenderURL, createResourceURL, setCharacterEncoding, setLocale`

    - ### Methods inherited from interface javax.portlet.MimeResponse

      `flushBuffer, getBufferSize, getCacheControl, getCharacterEncoding, getContentType, getLocale, getPortletOutputStream, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setContentType`

    - ### Methods inherited from interface javax.portlet.PortletResponse

      `addProperty, addProperty, addProperty, createElement, encodeURL, getNamespace, setProperty`

- - ### Constructor Detail

    - #### MockResourceResponse

          public MockResourceResponse()

  - ### Method Detail

    - #### setContentLength

          public void setContentLength(int len)

      Specified by:
        `setContentLength` in interface `ResourceResponse`

    - #### getContentLength

          public int getContentLength()